Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
biendong123

Nhờ các bác viết giùm em lisp vẽ nét cắt vật thể

Các bài được khuyến nghị

biendong123    0

Em chào các bác trên diễn đàn, em có yêu cầu này nhờ các bác giúp em ạ.


các bác viết giùm em lisp vẽ nét cắt vật thể (em tìm trên mạng có lisp nhưng không đúng với ý của em). các bác xem bản vẽ dưới đây để rõ hơn ah.


Em cảm ơn


http://www.cadviet.com/upfiles/3/131161_ve_net_cat_vat_the_2.dwg


http://www.cadviet.com/upfiles/3/131161_ve_net_cat_vat_the_1.dwg


Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

 

Em chào các bác trên diễn đàn, em có yêu cầu này nhờ các bác giúp em ạ.

các bác viết giùm em lisp vẽ nét cắt vật thể (em tìm trên mạng có lisp nhưng không đúng với ý của em). các bác xem bản vẽ dưới đây để rõ hơn ah.

Em cảm ơn

http://www.cadviet.com/upfiles/3/131161_ve_net_cat_vat_the_2.dwg

http://www.cadviet.com/upfiles/3/131161_ve_net_cat_vat_the_1.dwg

Hề hề hề,

Xài thử món đồ chơi này xem đã vừa ý chưa nhé. Nếu chưa thì nhờ mấy anh bạn Tàu giúp đỡ hè.

 

http://www.4shared.com/file/31H8TuJdba/venetcat.html

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hoan1111    694

Dạo này thấy diễn đàn thật lắm bài chéo ngoe :)

 

:) :) :)

Dòm 2 chữ chéo ngoe của bác Ketxu em lại chợt nhớ câu thơ của cụ Bút Tre:

 

Kể từ khi có Bút Tre

Câu thơ cứ bị chéo ngoe cẳng ...ngồng (ngỗng)

Bây giờ trong cõi tiếu lâm

Mấy ai tiếng nổi bằng ông Bút ...Trè!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
biendong123    0

Hề hề hề,

Xài thử món đồ chơi này xem đã vừa ý chưa nhé. Nếu chưa thì nhờ mấy anh bạn Tàu giúp đỡ hè.

 

http://www.4shared.com/file/31H8TuJdba/venetcat.html

Thank bác nhưng em thấy file .exe nên không cài (sợ xung đột với một số lisp và lệnh trên may em)

Các bác viết hộ em lisp mới với ý của em được ko ạ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Hề hề hề,

Bạn đã down về chưa mà bảo nó là file exe. Mình viết lisp và gửi qua trang 4 share. Chả có nhẽ trang này lại biến file lsp thành exe ư?????

Quái lạ, quái lạ, quái quái ...... lạ.......

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
biendong123    0

Hề hề hề,

Bạn đã down về chưa mà bảo nó là file exe. Mình viết lisp và gửi qua trang 4 share. Chả có nhẽ trang này lại biến file lsp thành exe ư?????

Quái lạ, quái lạ, quái quái ...... lạ.......

Đây bác ạ???131161_nc_1.png

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Đây bác ạ???

Hề hề hề,

Hãy kiểm tra lại máy của bạn. Có thể bị nhiễm vi rus chi chi đó rồi đấy.

File lisp  mình gửi trên 4 share vẫn còn nguyên cơ mà. Dung lượng của file là 626 bytes chớ không phải cái file vêntcat.exe của bạn đâu, nó chứa tới 529 KB.

Hãy xem hình ảnh của trang 4share lưu file mình gửi dưới đây để kiểm chứng nhé.

5194_4share.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Đây bác ạ???

Hề hề hề,

Bạn chịu khó down lại từ đây vậy

 

(defun c:vnc (/ oldos p1 p2 p3 p4 p5 p6)
(setq oldos (getvar "osmode"))
(setvar "osmode" 0)
(setq p1 (getpoint "\n Chon diem dau cua net cat: ")
          p2 (getpoint p1 "\n Chon diem cuoi cua net cat: ")
          d (distance p1 p2)
          a (angle p1 p2)
) 
(command "line" p1 (setq p3 (polar p1 a (- (/ d 2) (/ d 25))))
                                   (setq p4 (polar p3 (- a (/ pi 2)) (/ d 10)))
                                   (setq p5 (polar (setq p6 (polar p2 (+ a pi) (- (/ d 2) (/ d 25)))) (+ a (/ pi 2)) (/ d 10)))
                                   p6 p2 "")
(setvar "osmde" oldos)
(princ)
)

 

Hy vọng không còn bị lỗi bởi trang download của diễn đàn cũng chưa được hoàn toàn ngon.

Chúc thành công.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
biendong123    0

Hề hề hề,

Bạn chịu khó down lại từ đây vậy

 

(defun c:vnc (/ oldos p1 p2 p3 p4 p5 p6)
(setq oldos (getvar "osmode"))
(setvar "osmode" 0)
(setq p1 (getpoint "\n Chon diem dau cua net cat: ")
          p2 (getpoint p1 "\n Chon diem cuoi cua net cat: ")
          d (distance p1 p2)
          a (angle p1 p2)
) 
(command "line" p1 (setq p3 (polar p1 a (- (/ d 2) (/ d 25))))
                                   (setq p4 (polar p3 (- a (/ pi 2)) (/ d 10)))
                                   (setq p5 (polar (setq p6 (polar p2 (+ a pi) (- (/ d 2) (/ d 25)))) (+ a (/ pi 2)) (/ d 10)))
                                   p6 p2 "")
(setvar "osmde" oldos)
(princ)
)

 

Hy vọng không còn bị lỗi bởi trang download của diễn đàn cũng chưa được hoàn toàn ngon.

Chúc thành công.

Cảm ơn bác lisp của bác đúng với ý em, nhưng có vấn đề là: sau khi dùng lệnh: VNC  enter => đến bước "chọn điểm đầu của nét cắt" là không hiện truy bắt điểm và sau khi vẽ xong nét cắt là mất hết truy bắt điểm.

Bác khắc phục lỗi này giúp em được không ah 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Cảm ơn bác lisp của bác đúng với ý em, nhưng có vấn đề là: sau khi dùng lệnh: VNC  enter => đến bước "chọn điểm đầu của nét cắt" là không hiện truy bắt điểm và sau khi vẽ xong nét cắt là mất hết truy bắt điểm.

Bác khắc phục lỗi này giúp em được không ah 

Hề hề hề,

1/- Vì chả biết bạn cần những truy bắt điểm nào nên mình để nó là 0 và nếu bạn cần bất cứ truy bắt nào thì chỉ việc lựa chọn truy bắt đó trong quá trình pick điểm là Ok.

2/- Lisp đã trả truy bắt điểm về chế độ hiện có trước khi chạy lisp nên nếu nó là 0 có nghĩa rằng chế độ truy bắt điểm của bản vẽ trước khi chạy lisp cũng là 0. bạn hãy kiểm tra lại điều này.

 

Túm lại , lisp chẳng có lỗi gì cần khắc phục cả. Vấn đề là bạn cần hiểu rõ cách dùng của lisp mà thôi.

Chẳng hạn khi lisp yêu cầu chọn điểm đầu của nét cắt, nếu bạn muốn sử dụng truy bắt điểm là endpoint thì bạn sẽ phải kích vào nút chọn truy bắt điểm này trên thanh công cụ của CAD trước khi pick điểm cần chọn. hay khi lisp yêu cầu chọn điểm cuối của nét cắt, bạn muốn sử dụng truy bắt điểm là intersect thì bạn lại kích vào nút truy bắt điểm này trên thanh cong cụ rồi mới pick điểm.

Như vậy theo mình là thuận lợi và tiện dụng hơn cho người dùng và tránh được việc truy bắt nhầm điểm cần chọn. Vì lẽ đó, dù có thể sửa lisp nếu như bạn cung cấp các chế độ bắt điểm mà bạn cần, nhưng mình cũng sẽ không muốn làm. Mong bạn hiểu rõ hơn mục đích của người viết lisp và nếu bạn muốn có thể tự điều chỉnh lisp theo ý mình. 

Để có thể sửa lisp theo ý bạn , bạn nên tham khảo để hiểu rõ cách đưa chế độ bắt điểm vào lisp và hiểu rõ về biến hệ thống osmode trong phần Help của CAD.

Chúc bạn thành công.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hoan1111    694

Túm lại:

1- Tên chủ đề là: Nhờ các bác viết giùm em lisp vẽ nét cắt vật thể đã làm em mừng ...hụt vì cứ tưởng bở là lisp chém hình khối chứ không phải là vẽ nét cắt trên hình chiếu.

 

Đó chính là lý do em đã spam trong  bài số # 3   :)   :)   :) 

 

2- Nếu dùng lisp vnc của bác Bình, anh chủ thớt ngại làm thủ công cái việc lựa chọn chế độ  bắt điểm đầu và cuối thì làm theo 2 cách  sau:

A- Tạo bock >>> Chèn vào vị trí >>> Scale với sự lựa chọn tham số R

 

B- Làm theo cách củ chuối của mấy anh bạn Tàu Khựa là dùng lệnh vẽ đường lưỡi bò bằng súng phun nước:

45666jhh_zps8a193299.png

 

Anh thử mầy mò xem sao???

 

Hề hề hề,

Xài thử món đồ chơi này xem đã vừa ý chưa nhé. Nếu chưa thì nhờ mấy anh bạn Tàu giúp đỡ hè.

 

http://www.4shared.com/file/31H8TuJdba/venetcat.html

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
biendong123    0

Túm lại:

1- Tên chủ đề là: Nhờ các bác viết giùm em lisp vẽ nét cắt vật thể đã làm em mừng ...hụt vì cứ tưởng bở là lisp chém hình khối chứ không phải là vẽ nét cắt trên hình chiếu.

 

Đó chính là lý do em đã spam trong  bài số # 3   :)   :)   :) 

 

2- Nếu dùng lisp vnc của bác Bình, anh chủ thớt ngại làm thủ công cái việc lựa chọn chế độ  bắt điểm đầu và cuối thì làm theo 2 cách  sau:

A- Tạo bock >>> Chèn vào vị trí >>> Scale với sự lựa chọn tham số R

 

B- Làm theo cách củ chuối của mấy anh bạn Tàu Khựa là dùng lệnh vẽ đường lưỡi bò bằng súng phun nước:

45666jhh_zps8a193299.png

 

Anh thử mầy mò xem sao???

Ok để em thử .

Thanks bác

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×